#
# spec file for package rubygem-warden
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-warden
Version:        1.2.3
Release:        10.2
%define mod_name warden
%define mod_full_name %{mod_name}-%{version}

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 1
BuildRequires:  rubygem(rdoc) > 3.10
Url:            http://github.com/hassox/warden
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        Rack middleware that provides authentication for rack applications
License:        MIT
Group:          Development/Languages/Ruby

%description
Rack middleware that provides authentication for rack applications

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%package testsuite
Summary:        Test suite for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description testsuite
Test::Unit or RSpec files, useful for developers.

%prep
#gem_unpack
#if you need patches, apply them here and replace the # with a % sign in the surrounding lines
#gem_build

%build

%install
%gem_install -f
mkdir -p %{buildroot}%{_docdir}/%{name}
ln -s %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/History.rdoc %buildroot/%{_docdir}/%{name}/History.rdoc
ln -s %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/LICENSE %buildroot/%{_docdir}/%{name}/LICENSE

%files
%defattr(-,root,root,-)
%{_docdir}/%{name}
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_full_name}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/
%exclude %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/spec
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_full_name}/

%files testsuite
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/spec

%changelog
* Sat Jul 20 2013 coolo@suse.com
- updated to version 1.2.3
  * Fix an issue with lazy loaded sessions
  * Support nil session stores on logout
  * Fix strategies blowing up with undefined method base
* Fri Jul 13 2012 jreidinger@suse.com
- update to version 1.2.1
* Fri Jul 13 2012 jreidinger@suse.com
- revert back requires. gem explicitelly said that it require
  rack >= 1.0 so follow gem dependencies to avoid multiple version
  of gems when it is not neccessary
* Fri Apr 20 2012 schubi@suse.com
- Requires:  rubygem-rack-1_1 in order to make factory happy
    (needed by rubygem-devise)
* Wed Apr 18 2012 schubi@suse.com
- BuildRequires:  rubygem-rack-1_1 in order to make factory happy
* Wed Jan 18 2012 mrueckert@suse.de
- update to version 1.1.0
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 0.10.7
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Mon Apr 12 2010 mrueckert@suse.de
- initial package
